#include <stdio.h>


void array_show(int* array,int size)
{
	
	int i;
	for(i=0;i<size;i++)
		printf("%d,",array[i]);
	printf("\n");
}

void array_init(int* array,int size)
{
	int i;
	for(i=0;i<size;i++)
		array[i]=i;
	printf("\n");
}

#define MAX 10

int main(int argc, char** argv)
{
	int max;
	int static_array[MAX];
	int* dynamic_array;

	max = atoi(argv[1]);
	printf("%d \n",max);

	dynamic_array = (int*)calloc(max,sizeof(int));

	array_init(static_array,MAX);
	array_init(dynamic_array,max);
	array_show(static_array,MAX);
	array_show(dynamic_array,max);

	free(dynamic_array);
	
}
